Skip to main content
GET
/
v1
/
shopify
/
appstore
/
search
Search apps by keyword
curl --request GET \
  --url https://api.scoutlayer.io/v1/shopify/appstore/search
{
  "query": "<string>",
  "totalCount": 123,
  "apps": [
    {
      "name": "<string>",
      "url": "<string>",
      "isSponsored": true,
      "isBuiltForShopify": true,
      "position": 123,
      "handle": "<string>"
    }
  ],
  "pagination": {
    "hasNextPage": true,
    "totalPages": 123,
    "currentPage": 123
  },
  "hasResults": true
}

Query Parameters

q
string
required

Search keyword

Minimum string length: 1
Example:

"email marketing"

page
integer
default:1

Page number

Required range: x >= 1
Example:

1

Response

Search results

query
string
required
totalCount
number
required
apps
object[]
required
pagination
object
required
hasResults
boolean
required